DocMkrParserInternal::PictInfo Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
DocMkrParserInternal::PictInfo Struct Reference

Internal: store a picture information in DocMkrParser. More...

## Public Member Functions
| PictInfo ()
| constructor More...

## Public Attributes
int | m_id
| the picture id More...
int | m_sndId
| the sound id More...
int | m_align
| the alignment ( 1:center, ... ) More...
bool | m_print
| true if the picture is printed More...
bool | m_invert
| true if we must invert the picture More...
int | m_action
| the action More...
std::string | m_actionString
| the action string More...
int | m_next [2]
| the next chapter/paragraph position for goChapter More...
std::string | m_appleScript [3]
| the applescript type More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, PictInfo const &info)
| operator<< More...

## Detailed Description

Internal: store a picture information in DocMkrParser.

## Constructor & Destructor Documentation

## ◆ PictInfo()

DocMkrParserInternal::PictInfo::PictInfo | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | PictInfo const & | info
| ) |  |
| friend

operator<<

Referenced by PictInfo().

## Member Data Documentation

## ◆ m_action

int DocMkrParserInternal::PictInfo::m_action

the action

Referenced by DocMkrParserInternal::operator<<(), DocMkrParser::readPictInfo(), and DocMkrParser::sendPicture().

## ◆ m_actionString

std::string DocMkrParserInternal::PictInfo::m_actionString

the action string

Referenced by DocMkrParserInternal::operator<<(), DocMkrParser::readPictInfo(), and DocMkrParser::sendPicture().

## ◆ m_align

int DocMkrParserInternal::PictInfo::m_align

the alignment ( 1:center, ... )

Referenced by DocMkrParserInternal::operator<<(), DocMkrParser::readPictInfo(), and DocMkrParser::sendPicture().

## ◆ m_appleScript

std::string DocMkrParserInternal::PictInfo::m_appleScript[3]

the applescript type

Referenced by DocMkrParserInternal::operator<<(), PictInfo(), and DocMkrParser::readPictInfo().

## ◆ m_extra

std::string DocMkrParserInternal::PictInfo::m_extra

extra data

Referenced by DocMkrParserInternal::operator<<(), and DocMkrParser::readPictInfo().

## ◆ m_id

int DocMkrParserInternal::PictInfo::m_id

the picture id

Referenced by DocMkrParserInternal::operator<<(), DocMkrParser::readPictInfo(), and DocMkrParser::sendPicture().

## ◆ m_invert

bool DocMkrParserInternal::PictInfo::m_invert

true if we must invert the picture

Referenced by DocMkrParserInternal::operator<<(), and DocMkrParser::readPictInfo().

## ◆ m_next

int DocMkrParserInternal::PictInfo::m_next[2]

the next chapter/paragraph position for goChapter

Referenced by DocMkrParserInternal::operator<<(), PictInfo(), and DocMkrParser::readPictInfo().

## ◆ m_print

bool DocMkrParserInternal::PictInfo::m_print

true if the picture is printed

Referenced by DocMkrParserInternal::operator<<(), and DocMkrParser::readPictInfo().

## ◆ m_sndId

int DocMkrParserInternal::PictInfo::m_sndId

the sound id

Referenced by DocMkrParserInternal::operator<<(), and DocMkrParser::readPictInfo().

The documentation for this struct was generated from the following file:

- DocMkrParser.cxx